Bug 164871 - Bad: Installer crashed
Bad: Installer crashed
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 23:27 EDT by Weichuan Lin
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 17:31:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Weichuan Lin 2005-08-01 23:27:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.1.4322)

Description of problem:
I boot the installation kernel with pxeboot, and the chose NFS image as installation media. when the NFS encouter network problem with RPC time out, the installation procedure return me signal 11, it seems like:

Install exited abnormally – received signal 11, sending termination signal … done

Sending kill signal … done

Disabling swap…

Umounting filesystems… proc/bus/usb  done  /proc done   /dev/pts   done   /sys done   /tmp/ramfs done

You may safely reboot your system.



Version-Release number of selected component (if applicable):
U2 alpha

How reproducible:
Always

Steps to Reproduce:
1.boot with pxe
2.choose NFS as installation image, the destination of NFS server may not reachable 
3.wait the time out
  

Actual Results:  signal 11 occurs 

Expected Results:  I should choose another NFS server 

Additional info:
Comment 1 Jeremy Katz 2005-08-02 11:27:32 EDT
Is this with RHEL 4 GA or U1?  Also, what is the last thing printed on tty3?
Comment 2 Weichuan Lin 2005-08-02 21:55:05 EDT
this is RHEL4 U2 alpha. tty3 showes like:

mounting nfs path ...../RHEL4-U2-alpha/AS

ia32 version. ia32e doesn't appear such phenomenon. 
Comment 4 Chris Lumens 2005-08-09 13:09:26 EDT
What sorts of NFS problems cause this error to occur - nfs server not running,
directory not being exported, etc.?
Comment 5 Weichuan Lin 2005-08-10 00:06:24 EDT
in normal case, it should be RPC time out, the nfs server is running and the 
directory is exported. I think it should be network problem caused the RPC 
time out, because there are at least two routers at the path to the nfs server.
Comment 6 Weichuan Lin 2005-08-15 06:10:40 EDT
This bug still occurs against RHEL4 U2 Beta ia32
Comment 7 Weichuan Lin 2005-09-21 22:33:44 EDT
The bug still occurs against RHEL4 U2 RC ia32

Comment 8 Chris Lumens 2006-09-15 10:51:56 EDT
Does this still occur with U4 or RHEL5 beta?
Comment 9 Chris Lumens 2006-09-27 11:27:21 EDT
If you can reproduce this with FC6, that would be very helpful because we now
print out a stack trace if there is a bug in the anaconda loader itself.  That
trace would show where the problem is, and we could probably work back to RHEL4
from that point since a lot of this loader code doesn't change much.

Of course if this is being caused by a kernel problem or other component, you
either won't get a stack trace or it will be totally useless.

Note You need to log in before you can comment on or make changes to this bug.